import React from 'react'

const Table = ({ columns, data }) => {
    return (
        <div class="mt-4 -mb-3 flex-grow"><div class="not-prose relative bg-brand rounded-xl overflow-hidden"><div class="absolute inset-0 bg-grid-slate-100 [mask-image:linear-gradient(0deg,#fff,rgba(255,255,255,0.6))]" style={{ backgroundPosition: "10px 10px" }}></div><div class="relative rounded-xl overflow-auto"><div class="shadow-sm overflow-hidden mt-6">
            <table class="border-collapse table-auto w-full text-sm">
                <thead>
                    <tr>
                        {columns.map(item => (
                            <th class="border-b font-medium py-4 pl-8 pt-0 text-white text-left" key={item}>{item}</th>
                        ))}
                    </tr>
                </thead>
                <tbody class="bg-white">
                    {data.map(item => (
                        <tr className='font-semibold' key={item.status}>
                            <td className='py-2 pl-4'>{item.planName}</td>
                            <td className='pl-8'>{item.purchaseDate}</td>
                            <td className='pl-8'>{item.expDate}</td>
                            <td className='pl-8'>
                                <div className={`px-4 py-1 rounded-2xl w-fit ${item.status === "Active" && "bg-[#BFFFB5]"} ${item.status === "Expired" && "bg-[#FFB5B5]"}`}>
                                    {item.status}
                                </div>
                            </td>
                        </tr>
                    ))}
                </tbody>
            </table>
        </div>
        </div>
            <div class="absolute inset-0 pointer-events-none border border-black/5 rounded-xl dark:border-white/5"></div>
        </div>
        </div>
    )
}

export default Table